#ifndef _AES256_IMPL_H_
#define _AES256_IMPL_H_

#include "epi_crypto_common.h"

#ifdef __HOST__
void aes256_prepare_epi_keys(const uint32_t key[], const uint32_t IV[], my_epiphany* epip);
void aes256_host_encrypt(const uint32_t key[], const uint32_t IV[], const uint8_t* in, uint8_t *out, size_t size);
void aes256_openssl_encrypt(const uint32_t key[], const uint32_t IV[], const uint8_t* in, uint8_t *out, size_t size);
#endif

#endif // _AES256_IMPL_H_
