#ifndef _E_EPI_CRYPTO_H_
#define _E_EPI_CRYPTO_H_

#include "epi_crypto_common.h"

void setIntegerMode(uint32_t e);
void init(void);
void wait_on_user(void);
void __attribute__((interrupt)) empty_isr();

typedef struct {
  void      *pBase; // ptr to base of shared buffers
  vuint32_t *m;
  vuint32_t *c;
  vuint32_t *k;
  mbox_t    *pCore; // ptr to cores mailbox
} shared_buf_ptr_t;

extern vuint32_t lk[64];
/* extern vuint32_t lm[1024]; */
extern vuint32_t lc[BSIZE/sizeof(uint32_t)];
extern core_t           me;
extern shared_buf_ptr_t Mailbox;

#endif
