#ifndef _CHACHA20_IMPL_H_
#define _CHACHA20_IMPL_H_

#include "epi_crypto_common.h"

#ifdef __HOST__
void chacha20_prepare_epi_keys(const uint32_t key[], const uint32_t IV[], my_epiphany* epip);
void chacha20_host_encrypt(const uint32_t key[], const uint32_t IV[], const uint8_t* in, uint8_t *out, size_t size);
void chacha20_openssl_encrypt(const uint32_t key[], const uint32_t IV[], const uint8_t* in, uint8_t *out, size_t size);
#endif

#endif // _CHACHA20_IMPL_H_
